lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite for Android: free password hash cracker in your pocket
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date:	Thu,  6 Sep 2012 15:17:34 +0900
From:	Namhyung Kim <namhyung@...nel.org>
To:	Minchan Kim <minchan@...nel.org>
Cc:	LKML <linux-kernel@...r.kernel.org>,
	Namhyung Kim <namhyung.kim@....com>
Subject: [PATCH] Linux kernel contribution count script

From: Namhyung Kim <namhyung.kim@....com>

$ ./contrib-count.sh
Usage: ./contrib-count.sh <Name> [ <Year> ]

$ ./contrib-count.sh Namhyung
Signed-off: 125
Reviewed: 3
Acked: 1
Tested: 0

$ ./contrib-count.sh Minchan 2012
Signed-off: 20
Reviewed: 32
Acked: 10
Tested: 1

Signed-off-by: Namhyung Kim <namhyung@...nel.org>
---
 contrib-count.sh | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)
 create mode 100755 contrib-count.sh

diff --git a/contrib-count.sh b/contrib-count.sh
new file mode 100755
index 000000000000..4d246db5735d
--- /dev/null
+++ b/contrib-count.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Linux kernel contiribution counter.
+# It actually can be used on any git-managed projects.
+#
+
+if [ $# -eq 0 ]; then
+    echo "Usage: $0 <Name> [ <Year> ]"
+    exit 1
+fi
+
+NAME=$1
+
+# defaults to current year in YYYY format
+YEAR=$(date +"%Y")
+
+if [ $# -ge 2 ]; then
+    YEAR=$2
+fi
+
+for TAG in "Signed-off" "Reviewed" "Acked" "Tested";
+do
+    echo -n "$TAG: "
+    git log --grep="$TAG-by: $NAME" --since "$YEAR-01-01" --until "$YEAR-12-31" origin/master | \
+	git shortlog -sn | \
+	awk 'BEGIN { count = 0; } { count += $1; } END { print count; }'
+done
-- 
1.7.11.4

--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ